<div class="padding20">


    <h3>{vtranslate('LBL_NULOXERO_CONFIGURATION',$MODULE_NAME)}</h3>
    <br/>
    <div class="contents tabbable ui-sortable">
        <ul class="nav nav-tabs layoutTabs massEditTabs">
            <li class="active"><a href="#xeroapi" data-toggle="tab">
                    <strong>{vtranslate('LBL_XERO_API',$MODULE_NAME)}</strong></a>
            </li>
            <li class="relatedListTab"><a href="#modules" data-toggle="tab">
                    <strong>{vtranslate('LBL_XERO_MODULES',$MODULE_NAME)}</strong></a>
            </li>
            <li class="relatedListTab"><a href="#xeroconfig" data-toggle="tab">
                    <strong>{vtranslate('LBL_XERO_CONFIG',$MODULE_NAME)}</strong></a>
            </li>
            <li class="relatedListTab"><a href="#license" data-toggle="tab">
                    <strong>{vtranslate('LBL_XERO_LICENSE',$MODULE_NAME)}</strong></a>
            </li>
            {*  <li class="relatedListTab"><a href="#fields" data-toggle="tab">
            <strong>{vtranslate('LBL_XERO_FIELDS',$MODULE_NAME)}</strong></a>
            </li>*}
        </ul>
        <div class="tab-content layoutContent padding20 themeTableColor overflowVisible">
            <div id="xeroapi" class="tab-pane active">
                <form enctype="multipart/form-data" action="index.php" method="post" name="xeroEditView" id="EditView" class="form-horizontal recordEditView MultiFile-intercepted">
                    <input type="hidden" value="NuloXero" name="module">
                    <input type="hidden" value="Save" name="action">
                    <input type="hidden" value="processConfig" name="mode">
                    <table class="table md-block">
                        <tr>
                            <td><strong>{vtranslate('LBL_XERO_KEY',$MODULE_NAME)}</strong></td>
                            <td><input id="KEY" data-field-label="{vtranslate('LBL_XERO_KEY',$MODULE_NAME)}" name="KEY" class="inputElement" value="{$FIELDS.KEY}"/></td>
                        </tr>
                        <tr>
                            <td><strong>{vtranslate('LBL_XERO_SECRET',$MODULE_NAME)}</strong></td>
                            <td><input id="SECRET" data-field-label="{vtranslate('LBL_XERO_SECRET',$MODULE_NAME)}" name="SECRET" class="inputElement span14" value="{$FIELDS.SECRET}"/></td>
                        </tr>
                        <tr>
                            <td><strong>{vtranslate('LBL_XERO_PUBLICKEY',$MODULE_NAME)}</strong>
                                <br/> <small> {vtranslate('Upload Public key file',$MODULE_NAME)} (.cer)</small>
                            </td>
                            <td>
                                <div class="fileUploadBtn btn btn-primary">
                                    <span><i class="fa fa-key"></i> {vtranslate('UPLOAD')} .cer</span>
                                    <input type="file" data-field-label="{vtranslate('LBL_XERO_PUBLICKEY',$MODULE_NAME)}" id="PUBLICKEY" name="PUBLICKEY" class="inputElement" >
                                    <div class="uploadedFileDetails ">
                                        <div class="uploadedFileSize"></div>
                                        <div class="uploadedFileName"></div>
                                    </div>
                                </div>
                                    {$FIELDS.publicKeyFile}
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{vtranslate('LBL_XERO_PRIVATEKEY',$MODULE_NAME)}</strong>
                                <br/> <small> {vtranslate('Upload Private key file',$MODULE_NAME)} (.pem)</small>
                            </td>
                            <td>
                                <div class="fileUploadBtn btn btn-primary">
                                    <span><i class="fa fa-lock"></i> {vtranslate('UPLOAD')} .pem</span>
                                    <input type="file" data-field-label="{vtranslate('LBL_XERO_PRIVATEKEY',$MODULE_NAME)}" id="PUBLICKEY" name="PRIVATEKEY" class="inputElement single" >
                                    <div class="uploadedFileDetails ">
                                        <div class="uploadedFileSize"></div>
                                        <div class="uploadedFileName"></div>
                                    </div>
                                </div>
                                    {$FIELDS.privateKeyFile}
                            </td>
                        </tr>
                    </table>
                    <span class="pull-right"><button type="submit" id="xeroEditViewSubmit" class="btn btn-success saveButton">
                            <strong>{vtranslate('LBL_SAVE',$MODULE_NAME)}</strong></button>
                        <a onclick="javascript:window.history.back();" type="reset" class="cancelLink">{vtranslate('LBL_CANCEL',$MODULE_NAME)}</a>
                    </span>
                </form>

            </div>
            <div id="modules" class="tab-pane">
                {include file='ModuleConfig.tpl'|@vtemplate_path:$MODULENAME MODULENAME=$MODULENAME}
            </div>
            <div id="xeroconfig" class="tab-pane">
                <form enctype="multipart/form-data" action="index.php" method="post" name="xeroEditView" id="EditView" class="form-horizontal recordEditView MultiFile-intercepted">
                    <input type="hidden" value="NuloXero" name="module">
                    <input type="hidden" value="Save" name="action">
                    <input type="hidden" value="processConfig" name="mode">
                    <table class="table md-block">
                        <tr>
                            <td><strong>{vtranslate('LBL_XERO_ADMIN_EMAIL',$MODULE_NAME)}</strong></td>
                            <td><input id="KEY" data-field-label="{vtranslate('LBL_XERO_ADMIN_EMAIL',$MODULE_NAME)}" name="ADMINEMAIL" class="inputElement" value="{$FIELDS.ADMINEMAIL}"/></td>
                        </tr>
                    </table>
                    <span class="pull-right"><button type="submit" id="xeroEditViewSubmit" class="btn btn-success saveButton">
                            <strong>{vtranslate('LBL_SAVE',$MODULE_NAME)}</strong></button>
                        <a onclick="javascript:window.history.back();" type="reset" class="cancelLink">{vtranslate('LBL_CANCEL',$MODULE_NAME)}</a>
                    </span>
                </form>

            </div>
            <div id="license" class="tab-pane">
                <div class="contents tabbable ui-sortable">
                    <div class="tab-content layoutContent padding20 themeTableColor overflowVisible">
                        <form enctype="multipart/form-data" action="index.php" method="post" name="xeroEditView" id="EditView" class="form-horizontal recordEditView MultiFile-intercepted">
                            <input type="hidden" value="NuloXero" name="module">
                            <input type="hidden" value="SetLicense" name="action">
                            <input type="hidden" value="Deactivate" name="mode">
                            <table class="table md-block" style="border: none;">
                                <tr>
                                    <td><strong>{vtranslate('LBL_LICENSE_KEY',$MODULE_NAME)} <label style="color: red;">*</label></strong></td>
                                    <td><input required="required" id="key" data-field-label="{vtranslate('LBL_XERO_KEY',$MODULE_NAME)}" name="key" class="inputElement" value="{$KEY}"/></td>
                                </tr>
                            </table>
                            <span class="pull-right"><button type="submit" id="xeroEditViewSubmit" class="btn btn-danger saveButton">
                                    <strong>{vtranslate('LBL_DEACTIVATE',$MODULE_NAME)}</strong></button>
                            </span>
                        </form>
                    </div>
                </div>
            </div>
            {*<div id="fields" class="tab-pane">
            Fields
            </div>*}
        </div>
    </div>
</div>

