Vtiger_Edit_Js("NuloXero_List_Js", {
}, {
    FieldValidation: function () {
        $('#xeroEditViewSubmit').click(function (e) {
            if ($.trim($('input[name="KEY"]').val()) === '') {
                app.helper.showErrorNotification({"message": $('input[name="KEY"]').attr('data-field-label') + " : " + app.vtranslate("JS_FIELD_VALIDATION")});
                e.preventDefault();
            }
            if ($.trim($('input[name="SECRET"]').val()) === '') {
                app.helper.showErrorNotification({"message": $('input[name="SECRET"]').attr('data-field-label') + " : " + app.vtranslate("JS_FIELD_VALIDATION")});
                e.preventDefault();
            }
            if ($.trim($('input[name="PUBLICKEY"]').val()) === '') {
                app.helper.showErrorNotification({"message": $('input[name="PUBLICKEY"]').attr('data-field-label') + " : " + app.vtranslate("JS_UPLOAD_FIELD_VALIDATION")});
                e.preventDefault();
            } else if ($.inArray($('input[name="PUBLICKEY"]').val().split('.').pop().toLowerCase(), ['cer']) == -1) {
                app.helper.showErrorNotification({"message": $('input[name="PUBLICKEY"]').attr('data-field-label') + " : " + app.vtranslate("JS_INVALID_FILE")});
                $('input[name="PUBLICKEY"]').val('');
                e.preventDefault();
            }
            if ($.trim($('input[name="PRIVATEKEY"]').val()) === '') {
                app.helper.showErrorNotification({"message": $('input[name="PRIVATEKEY"]').attr('data-field-label') + " : " + app.vtranslate("JS_UPLOAD_FIELD_VALIDATION")});
                e.preventDefault();
            } else if ($.inArray($('input[name="PRIVATEKEY"]').val().split('.').pop().toLowerCase(), ['pem']) == -1) {
                app.helper.showErrorNotification({"message": $('input[name="PRIVATEKEY"]').attr('data-field-label') + " : " + app.vtranslate("JS_INVALID_FILE")});
                $('input[name="PRIVATEKEY"]').val('');
                e.preventDefault();
            }
        });
    },
    /**
     * Function which will register basic events which will be used in quick create as well
     *
     */
    registerBasicEvents: function (container) {
        this._super(container);
        this.FieldValidation();
    }
});